Home

# Class someprotopackage.TestPackageTypes

Message TestPackageTypes.

extends goog.proto2.Message

Instance Method Summary
| `clearOptionalInt32()` Clears the values in the optional_int32 field.
| `clearOtherAll()` Clears the values in the other_all field.
| `getOptionalInt32() ⇒ ?number` Gets the value of the optional_int32 field.
| `getOptionalInt32OrDefault() ⇒ number` Gets the value of the optional_int32 field or the default value if not set.
| `getOtherAll() ⇒ ?proto2.TestAllTypes` Gets the value of the other_all field.
| `getOtherAllOrDefault() ⇒ !proto2.TestAllTypes` Gets the value of the other_all field or the default value if not set.
| `hasOptionalInt32() ⇒ boolean`
| `hasOtherAll() ⇒ boolean`
| `optionalInt32Count() ⇒ number`
| `otherAllCount() ⇒ number`
| `setOptionalInt32(number value)` Sets the value of the optional_int32 field.
| `setOtherAll(!proto2.TestAllTypes value)` Sets the value of the other_all field.